=== debian/changelog ===
ros-iron-soccer-marker-generation (0.1.0-3jammy) jammy; urgency=high

  * Deprecate package in favor of ros-sports/soccer_vision_3d_rviz_markers (#3 <https://github.com/ijnek/soccer_visualization/issues/3>)
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Fri, 28 Oct 2022 16:00:00 -0000

ros-iron-soccer-marker-generation (0.0.2-3jammy) jammy; urgency=high

  * rename soccer_interfaces/soccer_vision_msgs to soccer_object_msgs
  * Use new Ball msg, rather than Point msg
  * add ament_cmake_gtest to package.xml
  * Contributors: Kenji Brameld, ijnek

 -- ijnek <kenjibrameld@gmail.com>  Fri, 07 Jan 2022 16:00:00 -0000

ros-iron-soccer-marker-generation (0.0.1-3jammy) jammy; urgency=high

  * fix up soccer_marker_generation, moved from naosoccer_visualization
  * initial commit
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Fri, 23 Jul 2021 16:00:00 -0000
