=== debian/control ===
Source: ros-iron-soccer-marker-generation
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-rclcpp, ros-iron-soccer-object-msgs, ros-iron-visualization-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-soccer-marker-generation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rclcpp, ros-iron-soccer-object-msgs, ros-iron-visualization-msgs, ros-iron-ros-workspace
Description: Generates rviz display markers from soccer msgs
